<?
require'../config.php';
$align='left';
$title='Сообщения';
head();
aut();
who_add(0,'enter');
$mod = check($_GET['mod']);
switch($mod){
default:

if (isset($_GET['delread'])){
$db->sql_query("DELETE FROM `privat` where to_id = '".$user['id']."' and readin =1");
header ('Location: privat?'.SID);
}

if (isset($_GET['delall'])){
$db->sql_query("DELETE FROM `privat` where to_id = '".$user['id']."'");
header ('Location: privat?'.SID);
}

if (isset($_GET['dela'])){
$db->sql_query("DELETE FROM `privat` where user_id = '".$user['id']."' and readin =1");
header ('Location: privat?'.SID);
}

echo '&#187; <a href="privat?mod=in">Входящие</a>(<b>'.$db->sql_fetchfield($db->sql_query("select count(*) as num from privat where to_id = '".$user['id']."' and readin !=1"),0).'</b>/'.$db->sql_fetchfield($db->sql_query("select count(*) as num from privat where to_id = '".$user['id']."'"),0).')<br />';
echo '&#187; <a href="privat?mod=aut">Исходящие</a>(<b>'.$db->sql_fetchfield($db->sql_query("select count(*) as num from privat where user_id = '".$user['id']."' and readin !=1"),0).'</b>/'.$db->sql_fetchfield($db->sql_query("select count(*) as num from privat where user_id = '".$user['id']."'"),0).')<br /><br />';


echo '&#187; <a href="privat?mod=add">Написать</a><br />';
echo '&#187; <a href="privat?delread">Удалить все прочитанные</a><br/>';
echo '&#187; <a href="privat?delall">Удалить все входящие</a><br />';
echo '&#187; <a href="privat?dela">Удалить все Исходящие</a><br />';
echo '&#187; <a href="friends">Ваши Друзья</a><br />';
echo '&#187; <a href="ignor">Черный список</a><br />';
break;

case add:
if (empty($act)){
if ($_GET['err']==1)echo '<b>Сообщение должно быть длиннее 5 символов!</b>';
if ($_GET['err']==2)echo '<b>Такого пользователя не существует!</b><br />';
if ($_GET['err']==3)echo '<b>Не так часто,сообщения возможно отправить раз в 1мин!</b>';
if ($_GET['err']==4)echo '<b>Чтобы писать записки, нужно набрать '.$set['posts_pr'].' постов!</b>';
if ($_GET['err']==5)echo '<b>Запрещено писать пользователям с х-статусом "Не беспокоить"<img src="'.H.'img/online/zaniat.png" alt="" /></b>';
if ($_GET['err']==6)echo '<b>Вы не можете писать этому пользователю, т.к. находитесь в его черном списке.</b>';
if ($_GET['err']==7)echo '<b>Этому пользователю писать могут только друзья.</b>';
if ($_GET['err']==8)echo '<b>Полозователь запретил отправлять ему сообщения.</b>';
if ($ver!='wml')echo '<form action="privat?mod='.$mod.'&amp;act=act&amp;'.SID.'" method="post">';

$to = check($_GET['to']);
if($set['posts_pr'] >= $user['posts']) 
{
	echo '<b>Чтобы писать записки, нужно набрать '.$set['posts_pr'].' постов!</b><br />У Вас пока что '.$user['posts'].' постов.<br />';
}else{
if ($ver=='wml'){
echo 'Кому (Ник/ID):<br /><input name="to'.$ref.'" maxlength="15" value="'.$to.'" title="komu"/><br/>';
echo 'Сообщение:<br /><input name="msg'.$ref.'" maxlength="512" title="komu"/><br/>';
$chislo=rand(1000,9999);
$db->sql_query("DELETE FROM `chislo` WHERE `ip` = '".$ip."'");
$db->sql_query("INSERT INTO `chislo` (chislo,ip) values('$chislo','".$ip."')");
echo '<input type="hidden" name="code'.$ref.'" size="4" maxlength="4" title="code"/>';

echo '<br /><anchor title="go">Написать<go href="privat?mod='.$mod.'&amp;act=add&amp;'.SID.'" method="post"><br />';
echo '<postfield name="to" value="$to'.$ref.'"/>
<postfield name="code" value="code'.$ref.'"/>
<postfield name="msg" value="$msg'.$ref.'"/>

</go></anchor><br/>';
}else{
echo "Кому (Ник/ID):<br /><input name='to' maxlength='15' value='$to' title='komu'/><br/>\n";
echo'Сообщение:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" ></textarea><br />';
$chislo=rand(1000,9999);
$db->sql_query("DELETE FROM `chislo` WHERE `ip` = '".$ip."'");
$db->sql_query("INSERT INTO `chislo` (chislo,ip) values('$chislo','".$ip."')");
/////echo '&#160;<b>'.$chislo.'</b><br/>Проверочный код:<br/>
echo '<input type="hidden" name="code" size="4" maxlength="4" value="'.$chislo.'"/><br/>';
echo '<input type="submit" class="ibutton" value="Написать"/></form><br/><br/>';
}}

}else{


$to = check($_POST['to']);
$msg = check($_POST['msg']);
$_POST['code'] = check($_POST['code']);
$msg = iconv('utf-8', 'windows-1251', $msg);
$msg = substr($msg,0,512);
$msg = iconv('windows-1251', 'utf-8', $msg);
if ($user['translit']==1)$msg = translit($msg);

if ($user['posts']<$set['posts_pr']){header ('Location: privat?mod='.$mod.'&amp;err=4&'.SID);  exit;}

if (!user($to)){header ('Location: privat?mod='.$mod.'&amp;err=2&'.SID);  exit;}
if (strlen2($msg)<2){header ('Location: privat?mod='.$mod.'&amp;err=1&'.SID); exit;}
if (user_inf($to,'xstatus')==2){header ('Location: privat?mod='.$mod.'&amp;err=5&'.SID);  exit;}

if (ignor(user_inf($to),$user['id'])==1){header ('Location: privat?mod='.$mod.'&amp;err=6&'.SID);  exit;}

if (user_inf($to,'pp_m_s')==2){header ('Location: privat?mod='.$mod.'&amp;err=8&'.SID);  exit;}
if (user_inf($to,'pp_m_s')==1 && friends($to,$user['id'])!=1){header ('Location: privat?mod='.$mod.'&err=7&amp;'.SID);  exit;}


$online = $db->sql_fetchrow($db->sql_query("SELECT * FROM `chislo` WHERE `ip` = '".$ip."'"));
if($online['chislo'] != intval($_POST['code'])){header ('Location: privat?mod='.$mod.'&amp;err=3&'.SID);  exit;}
if($set['posts_pr'] <= $user['posts']) 
{
if ($db->sql_query ("INSERT INTO privat (user,user_id,to_user,to_id,time,msg) VALUES ('$user[user]','$user[id]','".user($to)."','".user_inf($to)."','$time','$msg')")){
/*if (user_inf($to,'pm_notify')==1){
if ($user['sex']==1)$sex = 'оставил'; else $sex = 'оставила';
$msgmail = "".$user['user']." ".$sex." Вам личное сообщение.\n Просмотреть Ваши новые личные сообщения можно на странице:\n http://".$_SERVER['HTTP_HOST']."/my/privat \n\n С уважением,
Администрация ".$_SERVER['HTTP_HOST']."\n_ _ _ _ _\n
Вы можете поменять настройки e-mail оповещений на странице:
http://".$_SERVER['HTTP_HOST']."/my/setting?mod=notify";
$mail=explode('|',user_inf($to,'mail'));
addmail($mail[0], $user['user'].' '.$sex.' Вам личное сообщение', $msgmail);
}
*/
echo '<br />Сообщение для <b>'.user_inf($to,'user').'</b> отправлено!<br />';

$whos = $db->sql_fetchrow($db->sql_query("SELECT `rm`,`user`,`room` FROM `who` WHERE `user` = '$to' LIMIT 1 "));

if($whos['room'] == 'enter') 
{
	echo '<br/>В данный момент я нахожусь в <a href="../enter?">Прихожей</a><br/>';
	if(isset($_SESSION['r_m'])) echo '<a href="../room?rm='.$_SESSION['r_m'].'">Вернуться в комтану</a><br />';
}
if($whos[user] == '' or $whos[user] == NULL)
{
	echo '<br/>В данный момент я отсутствую<br/>';
	if(isset($_SESSION['r_m'])) echo '<a href="../room?rm='.$_SESSION['r_m'].'">Вернуться в комтану</a><br />';
}
if($whos[rm] != 0) 
{
$rooms = $db->sql_fetchrow($db->sql_query("SELECT `rm`,`name` FROM `rooms` WHERE `rm`='".$whos[rm]."' LIMIT 1"));
echo '<br/>В данный момент я нахожусь в '.$rooms['name'].'<br >';
echo '<a href="../room?rm='.$whos[rm].'">Войти в комнату '.$rooms['name'].'</a><br/>';
echo 'или <br /><a href="../inside?rm='.$whos[rm].'&amp;nk='.$to.'">написать мне в комнате</a><br/><br/>';
if(isset($_SESSION['r_m']) && $_SESSION['r_m'] != $whos['rm']) echo '<a href="../room?rm='.$_SESSION['r_m'].'">Вернуться в комтану</a><br />';
}

$db->sql_query("DELETE FROM `chislo` WHERE `ip` = '".$ip."'");
if (user_inf($to,'onl')<($time-300)){
if(user_inf($to,'avtootvet')!=""){
echo 'Автоответчик: '.user_inf($to,'avtootvet').'<br/>';
}
}

}else{
echo 'Ошибка!';

}
}else{echo 'Ошибка!';}
}

break;

case in:
if (isset($_GET['del'])){
mysql_query("DELETE FROM `privat` WHERE `id` = '".intval($_GET['del'])."' and `to_id` = '$user[id]'");
}

if (isset($_GET['delall'])){
mysql_query("DELETE FROM `privat` WHERE `user_id` = '".intval($_GET['delall'])."' and `to_id` = '$user[id]'");
}

if (empty($user['max_pr'])) $user['max_pr']=5;
$max = $user['max_pr'];
$k_post=mysql_result(mysql_query("select count(*) as num from privat where to_id = '".$user['id']."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = mysql_query ("Select * from privat where to_id = '".$user['id']."' order by time desc LIMIT $start, $max");
$k = mysql_num_rows($r);
if ( $k == 0 )
{
echo 'Сообщений пока нет :(<br />';
}

$post_k=$start+1;
while($a = @mysql_fetch_array($r)){
if ($a['readin'] == 0){mysql_query ("Update privat set readin = '1' WHERE id ='".$a['id']."'");
echo links.'<img src="'.H.'img/new.gif" alt="" /> ';
}else echo links;
if ($a['user_id']==0)echo 'От: <b>'.$set['system'].'</b> ('.times($a['time']).')<br/>'.div;
else echo 'От: <b>'.nik($a['user_id']).'</b> ('.times($a['time']).')<br/>'.div;
echo antir(text($a['msg']))."<br/>";

if ($a['user_id']==0)
echo '<dl><dt></dt></dl>';
else echo '<dl><dt></dt></dl><a href="privat?mod=add&amp;to='.user_inf($a['user_id']).'">Ответить</a>|';

if ($a['user_id']==0)
echo '';
else echo '<a href="friends?mod=add&amp;act=add&amp;nick='.user_inf($a['user_id']).'">в друзья</a>|';

if ($a['user_id']==0)
echo '';
else echo '<a href="ignor?mod=add&amp;act=add&amp;nick='.user_inf($a['user_id']).'">В игнор</a>|';

if ($a['user_id']==0)
echo '';
else echo '<a href="privat.php?mod=spam&amp;post='.$a['id'].'">Это спам</a>|';

if ($a['user_id']==0)
echo '<a href="privat?mod='.$mod.'&amp;del='.$a['id'].'">Удалить</a>|';

else echo '<a href="privat?mod='.$mod.'&amp;del='.$a['id'].'">Удалить</a>|';

if ($a['user_id']==0)
echo '<a href="privat?mod='.$mod.'&amp;delall='.user_inf($a['user_id']).'">Удалить всё от</a> '.nik($a['user']).'';
else echo '<a href="privat?mod='.$mod.'&amp;delall='.user_inf($a['user_id']).'">Удалить всё от</a> '.user($a['user_id']).'<br/>';
echo "<br/><hr/>";
}
if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('privat?mod=in&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br/>";}

break;

case spam:
$q=mysql_fetch_array(mysql_query("SELECT * FROM `privat` WHERE `id` = '".intval($_GET['post'])."' LIMIT 1"));
$msgrat="[b]$user[user][/b]|$q[msg]|От: $q[user_id]";
mysql_query("INSERT INTO `spamus` (`id_user`, `id_kont`, `msg`, `time`) values('0', '9', '$msgrat', '$time')");
print"Вы уведомили администрацию о спаме. Спасибо";

break;

case aut:
if (empty($user['max_pr'])) $user['max_pr']=5;
$max = $user['max_pr'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from privat where user_id = '".$user['id']."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from privat where user_id = '".$user['id']."' order by time desc LIMIT $start, $max");
$k = $db->sql_numrows($r);
if ( $k == 0 )
{
echo 'Сообщений пока нет :(<br/>';
}
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){

if ($a['to_id']=='')
echo user($a['to_id"']).'('.times($a['time']).')<br/>';
else echo links.'Пользователю: <b>'.nik($a['to_id']).'</b><br/> ('.times($a['time']).') ';
if ($a['readin']>0)
{   
echo "[Прочитанно]<br/>".div;
}
if ($a['readin']<1)
{   
echo "[Непрочитано]<br/>".div;
}
echo antir(text($a['msg']))."<br/>";

echo '<dl><dt></dt></dl><a href="privat?mod=add&amp;to='.user_inf($a['to_id']).'">Написать ещё</a>|<a href="friends?mod=add&amp;act=add&amp;user='.user_inf($a['to_id']).'">в друзья</a>|<a href="ignor?mod=add&amp;act=add&amp;nick='.user_inf($a['to_id']).'">В игнор</a>';
echo "<hr/>";
}
if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('privat?mod='.$mod.'&amp;',$k_page,$page); // Вывод страниц
echo "<br/><dl><dt></dt></dl><br/>";
}


break;
}


if ($mod)echo gb.'<a href="'.H.'my/privat">Ваши письма</a><br/>'.div;
echo gb.'<a href="'.H.'my/index">Личный кабинет</a><br/>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a><br/>'.div;
foot();
?>